
package com.tmerclub.cloud.common.order.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 订单退款取消库存
 * @author tmerclub
 * @date 2020/12/8
 */
public class RefundReductionStockBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 是否供应商代销商品，1.是 0.否
     */
    private Integer supplierProd;
    /**
     * 供应商id
     */
    private Long supplierId;

    private Long spuId;

    private Long skuId;

    /**
     * 库存点id 自提：自提点id， 其他：仓库id
     */
    private Long stockPointId;

    private String spuName;

    private String skuName;

    private Integer count;

    private Long shopId;

    private Long orderId;

    /**
     * 活动id
     */
    private Long activityId;

    /**
     * 产品价格
     */
    private Long price;

    /**
     * 产品主图片路径
     */
    private String pic;
    /**
     * sku编码
     */
    private String partyCode;

    public Integer getSupplierProd() {
        return supplierProd;
    }

    public void setSupplierProd(Integer supplierProd) {
        this.supplierProd = supplierProd;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public Long getStockPointId() {
        return stockPointId;
    }

    public void setStockPointId(Long stockPointId) {
        this.stockPointId = stockPointId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    @Override
    public String toString() {
        return "RefundReductionStockBO{" +
                "supplierProd=" + supplierProd +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", count=" + count +
                ", shopId=" + shopId +
                ", orderId=" + orderId +
                ", supplierId=" + supplierId +
                ", activityId=" + activityId +
                ", stockPointId=" + stockPointId +
                ", price=" + price +
                ", pic='" + pic + '\'' +
                ", partyCode='" + partyCode + '\'' +
                '}';
    }
}
